Subject: [PATCH] irqchip/mbigen: Display message of MBIGEN domain created

From: [email-masked] (Kefeng Wang)
Date: Mon, 11 Apr 2016 09:04:29 +0800

On 2016/4/8 18:46, Marc Zyngier wrote:
> On 08/04/16 11:33, Kefeng Wang wrote:
>>
>>
>> On 2016/4/8 16:53, Marc Zyngier wrote:
>>> On Fri, 8 Apr 2016 16:26:21 +0800
>>> Kefeng Wang <[email-masked]> wrote:
>>
[...]
>> But there is still one issue in the for_each_child_of_node loop of
>> mbigen_device_probe. Assume that there are 3+ child node(mbigen_gmac,
>> mbigen_i2c, mbigen_xxx, etc) in mbigen_chip_dsa, if one of them with
>> incorrect configuration, then the loop will end, but we still need 
>> parse the left child node. we should consider this situation, right?
> 
> That's up to whoever designed the driver to decide, really. I don't know
> if it is worth continuing in that case (and you are in a better position
> than me to find out).

Ok, will talk with Ma Jun directly, and if the change is needed, I will send
a new patch after reviewed by Ma Jun.

Thanks,
Kefeng